# applyPreStatChangeAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPreStatChangeAbAttrs

- applyPreStatChangeAbAttrs(attrType, pokemon, stat, cancelled, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PreStatChangeAbAttr )
    - - new (...args): PreStatChangeAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PreStatChangeAbAttr

  - pokemon: default
  - stat: BattleStat
  - cancelled: BooleanHolder
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3602